<?php

namespace Internetgalerie\IgWidgets\ViewHelpers;

use TYPO3Fluid\Fluid\Core\Rendering\RenderingContextInterface;
use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;

class CookieViewHelper extends AbstractViewHelper
{
    public function initializeArguments()
    {
        $this->registerArgument('cookies', 'array', 'ig_widgets cookies', true);
    }

    public static function renderStatic(
        array $arguments,
        \Closure $renderChildrenClosure,
        RenderingContextInterface $renderingContext
    ) {
        $cookieArray = [];
        foreach ($arguments['cookies'] as $key => $value) {
            $cookieArray[] = [
                'identifier' => $key,
                'label' => str_replace("igwidgets_", "", $key),
                'value' => $value
            ];
        }
        return $cookieArray;
    }
}
